Name:           python-audioplayer
Version:        0.6
Release:        1%{?dist}
Summary:        A cross platform Python 3 module for playing sounds (mp3, wav, ...)

License:        MIT
URL:            https://pypi.org/project/audioplayer/
Source:         %{pypi_source audioplayer}

BuildArch:      noarch
BuildRequires:  python3-devel, python3-gobject, gstreamer1-plugins-good

%global _description %{expand:
audioplayer is a cross platform Python 3 package for playing sounds (mp3, wav, ...). It provides the key features of an audio player, such as opening a media file, playing (loop/block), pausing, resuming, stopping, and setting the playback volume.}

%description %_description

%package -n python3-audioplayer
Summary:        %{summary}

%description -n python3-audioplayer %_description

%prep
%autosetup -p1 -n audioplayer-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files audioplayer

%check
%tox


%files -n python3-audioplayer -f %{pyproject_files}
%doc README.*

%changelog
%autochangelog
